Package org.stianloader.micromixin.transform.internal.util

## Class PrintUtils

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.PrintUtils

    public class PrintUtils
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `fastPrettyArguments​(java.lang.String desc, java.lang.StringBuilder out)`
`static java.lang.StringBuilder` `fastPrettyMethodName​(java.lang.String name, java.lang.String methodDesc, int access, java.lang.StringBuilder out)`
`static void` `fastPrettyPrintCallbackInfo​(org.objectweb.asm.tree.MethodNode targetMethod, java.lang.StringBuilder out)`
`static int` `fastPrettySingleDesc​(java.lang.String desc, int startIndex, java.lang.StringBuilder output)`
`static java.util.List<java.lang.String>` `getExpectedCallbackSignature​(org.objectweb.asm.tree.MethodNode currentHandler, org.objectweb.asm.tree.MethodNode target, org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue> frame, java.lang.StringBuilder sharedBuilder)`
`static java.lang.String` `getSimpleWrapperClassName​(int primitiveType)`
`static java.lang.String` `prettyBracketedInt​(int value, int maxValue, java.lang.StringBuilder sharedBuilder)`
`static java.lang.String` `prettySingleDesc​(java.lang.String desc, java.lang.StringBuilder sharedBuilder)`
`static java.lang.String` `prettyType​(org.objectweb.asm.Type type, java.lang.StringBuilder sharedBuilder)`
`static java.lang.StringBuilder` `stringifyAccessMethod​(int acc, java.lang.StringBuilder out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fastPrettyArguments

    public static final void fastPrettyArguments​(@NotNull
                                                 java.lang.String desc,
                                                 @NotNull
                                                 java.lang.StringBuilder out)

#### fastPrettyMethodName

    @Contract(mutates="param4",
              pure=false,
              value="null, _, _, _ -> fail; _, null, _, _ -> fail; _, _, _, null -> fail; !null, !null, _, !null -> param4")
    @NotNull
    public static final java.lang.StringBuilder fastPrettyMethodName​(@NotNull
                                                                     java.lang.String name,
                                                                     @NotNull
                                                                     java.lang.String methodDesc,
                                                                     int access,
                                                                     @NotNull
                                                                     java.lang.StringBuilder out)

#### prettyBracketedInt

    @NotNull
    public static final java.lang.String prettyBracketedInt​(int value,
                                                            int maxValue,
                                                            @NotNull
                                                            java.lang.StringBuilder sharedBuilder)

#### fastPrettySingleDesc

    public static final int fastPrettySingleDesc​(@NotNull
                                                 java.lang.String desc,
                                                 int startIndex,
                                                 @NotNull
                                                 java.lang.StringBuilder output)

#### prettySingleDesc

    @NotNull
    public static final java.lang.String prettySingleDesc​(@NotNull
                                                          java.lang.String desc,
                                                          @NotNull
                                                          java.lang.StringBuilder sharedBuilder)

#### prettyType

    @NotNull
    public static final java.lang.String prettyType​(@NotNull
                                                    org.objectweb.asm.Type type,
                                                    @NotNull
                                                    java.lang.StringBuilder sharedBuilder)

#### stringifyAccessMethod

    @Contract(mutates="param2",
              pure=false,
              value="_, !null -> param2; _, null -> fail")
    @NotNull
    public static final java.lang.StringBuilder stringifyAccessMethod​(int acc,
                                                                      @NotNull
                                                                      java.lang.StringBuilder out)

#### fastPrettyPrintCallbackInfo

    public static final void fastPrettyPrintCallbackInfo​(@NotNull
                                                         org.objectweb.asm.tree.MethodNode targetMethod,
                                                         @NotNull
                                                         java.lang.StringBuilder out)

#### getSimpleWrapperClassName

    @NotNull
    public static final java.lang.String getSimpleWrapperClassName​(int primitiveType)

#### getExpectedCallbackSignature

    @NotNull
    public static final java.util.List<java.lang.String> getExpectedCallbackSignature​(@NotNull
                                                                                      org.objectweb.asm.tree.MethodNode currentHandler,
                                                                                      @NotNull
                                                                                      org.objectweb.asm.tree.MethodNode target,
                                                                                      @NotNull
                                                                                      org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue> frame,
                                                                                      @NotNull
                                                                                      java.lang.StringBuilder sharedBuilder)